﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SpreadsheetSample.Spread;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
namespace SpreadsheetSample.Controllers
{
    public partial class SpreadsheetController : Controller
    {        
         public ActionResult SpreadsheetFeatures()
        {
            var dataSource = new NorthwindDataContext().Orders.Take(50).ToList();
            ViewBag.DataSource = dataSource;
            return View();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Import(ImportRequest importRequest)
        {
            return importRequest.SpreadsheetActions();
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public void ExportToExcel(string sheetModel, string sheetData, string password)
        {
            if(String.IsNullOrEmpty(password))
                Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.XLSX, ExcelVersion.Excel2013);
            else
                Spreadsheet.Save(sheetModel, sheetData, "sample", ExportFormat.XLSX, ExcelVersion.Excel2013, password);
        }
        [AcceptVerbs(HttpVerbs.Post)]
        public void ExportToCsv(string sheetModel, string sheetData)
        {
            var stream = Spreadsheet.Save(sheetModel, sheetData, ExportFormat.CSV, ExcelVersion.Excel2013);
        }
    }
}
